commit:     58322511ab2bbe73d09e81c88a0b1bcc9a6ac045
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 26 00:41:03 2021 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sat Jun 26 00:41:03 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58322511

dev-python/lcdproc: add python3_10 support

Also fixed setuptools qa warning.

Closes: https://bugs.gentoo.org/798087
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-python/lcdproc/lcdproc-0.03_p20150508.ebuild | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

diff --git a/dev-python/lcdproc/lcdproc-0.03_p20150508.ebuild 
b/dev-python/lcdproc/lcdproc-0.03_p20150508.ebuild
index 49c1a0cf570..91f15979c1a 100644
--- a/dev-python/lcdproc/lcdproc-0.03_p20150508.ebuild
+++ b/dev-python/lcdproc/lcdproc-0.03_p20150508.ebuild
@@ -1,16 +1,18 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
 EGIT_COMMIT="973628fc326177c9deaf3f2e1a435159eb565ae0"
-PYTHON_COMPAT=( python3_{7..9} )
+MY_PV="$(ver_cut 1-2)"
+PYTHON_COMPAT=( python3_{7..10} )
 
 inherit distutils-r1
 
 DESCRIPTION="Python OOP wrapper library for LCDproc Telnet API"
 HOMEPAGE="https://github.com/jinglemansweep/lcdproc";
 SRC_URI="https://github.com/jinglemansweep/${PN}/archive/${EGIT_COMMIT}.tar.gz 
-> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-${EGIT_COMMIT}"
 
 LICENSE="BSD"
 SLOT="0"
@@ -18,6 +20,11 @@ KEYWORDS="amd64 x86"
 
 RDEPEND="app-misc/lcdproc"
 
-S="${WORKDIR}/${PN}-${EGIT_COMMIT}"
-
 DOCS=( "README.textile" "examples.py" )
+
+src_prepare() {
+       default
+
+       # Fix setuptools version warning
+       sed -e "s/${MY_PV}/${MY_PV:0:(-3)}.${MY_PV:3}/" -i setup.py || die
+}

Reply via email to